# Class AgentExecutorConfig.Builder

java.lang.Object
com.google.adk.a2a.executor.AgentExecutorConfig.Builder

Enclosing class:
  `AgentExecutorConfig`

public abstract static class AgentExecutorConfig.Builder extends Object
Builder for `AgentExecutorConfig`.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Builder()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract AgentExecutorConfig.Builder`
  `afterEventCallback(Callbacks.AfterEventCallback afterEventCallback)`
  `abstract AgentExecutorConfig.Builder`
  `afterExecuteCallback(Callbacks.AfterExecuteCallback afterExecuteCallback)`
  `abstract AgentExecutorConfig.Builder`
  `beforeExecuteCallback(Callbacks.BeforeExecuteCallback beforeExecuteCallback)`
  `AgentExecutorConfig`
  `build()`
  `abstract AgentExecutorConfig.Builder`
  `outputMode(AgentExecutorConfig.OutputMode outputMode)`
  `abstract AgentExecutorConfig.Builder`
  `runConfig(RunConfig runConfig)`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Builder

    public Builder()

- ## Method Details

  - ### runConfig

    @CanIgnoreReturnValue public abstract AgentExecutorConfig.Builder runConfig(RunConfig runConfig)

  - ### outputMode

    @CanIgnoreReturnValue public abstract AgentExecutorConfig.Builder outputMode(AgentExecutorConfig.OutputMode outputMode)

  - ### beforeExecuteCallback

    @CanIgnoreReturnValue public abstract AgentExecutorConfig.Builder beforeExecuteCallback(Callbacks.BeforeExecuteCallback beforeExecuteCallback)

  - ### afterExecuteCallback

    @CanIgnoreReturnValue public abstract AgentExecutorConfig.Builder afterExecuteCallback(Callbacks.AfterExecuteCallback afterExecuteCallback)

  - ### afterEventCallback

    @CanIgnoreReturnValue public abstract AgentExecutorConfig.Builder afterEventCallback(Callbacks.AfterEventCallback afterEventCallback)

  - ### build

    public AgentExecutorConfig build()